<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tags_test.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."tags_system_panel/infusion_db.php";
include INFUSIONS."tags_system_panel/inc/inc.php";


add_to_head("<style type='text/css'>
.tag_cloud { padding: 3px; text-decoration: none; }
.tag_cloud:link  { color: #81d601; }
.tag_cloud:visited { color: #019c05; }
.tag_cloud:hover { color: #ffffff; background: #69da03; }
.tag_cloud:active { color: #ffffff; background: #ACFC65; }
</style>");


function get_tag_data() { 

	   $result= dbquery("SELECT 
                                tag_id, 
                                tag_type, 
                                tag_tags 
                                FROM ".DB_TAGS." 
                                ORDER BY 
                                RAND() LIMIT 0,10
                                ");
                                
        if (dbrows($result)) {

while ($data = dbarray($result)) {
  $tagsize = rand(2,6);

  if ($data['tag_tags']) {
		$tags = array_unique(explode(", ", $data['tag_tags']));
		shuffle($tags);
		foreach ($tags as $value) {
		
		    $arr[$tags['tag_tags']] = $tags['count'];        
		   }
		 }
	   }
	 }
  ksort($arr); 
  return $arr; 
}


function get_tag_cloud() {

    // Default font sizes
    $min_font_size = 12;
    $max_font_size = 30;

    // Pull in tag data
    $tags = get_tag_data();

    $minimum_count = min(array_values($tags));
    $maximum_count = max(array_values($tags));
    $spread = $maximum_count - $minimum_count;

    if($spread == 0) {
        $spread = 1;
    }

    $cloud_html = '';
    $cloud_tags = array(); // create an array to hold tag code
    foreach ($tags as $tag => $count) {
        $size = $min_font_size + ($count - $minimum_count) 
            * ($max_font_size - $min_font_size) / $spread;
        $cloud_tags[] = '<a style="font-size: '. floor($size) . 'px' 
            . '" class="tag_cloud" href="http://www.google.com/search?q=' . $tag 
            . '" title="\'' . $tag  . '\' returned a count of ' . $count . '">' 
            . htmlspecialchars(stripslashes($tag)) . '</a>';
    }
    $cloud_html = join("\n", $cloud_tags) . "\n";
    return $cloud_html;

}

?>

<h3>Sample Tag Cloud results</h3>
<div id="wrapper">
    <!-- BEGIN Tag Cloud --> 
    <?php
    // Display the Tag Cloud in an HTML format
    print get_tag_cloud();
    ?>
    <!-- END Tag Cloud -->
</div>
<?php
require_once THEMES."templates/footer.php";
?>